> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/data-types/actionparameters-object/createcloudformationstackparameters-object.md).

# AmazonCreateCloudFormationStackParameters Object

## Description

Parameters for the Amazon Create CloudFormation Stack action.

## Properties

### capabilities

List of capabilities to allow on the stack

Allowed Values:

* `iam`

Required: No

### credentialIds

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### deleteTimeInSeconds

Time (in seconds) after the stack has been created, that the stack will be deleted.

Type: `integer`

Required: No

### failureBehaviour

Behaviour to apply when a error happens when creating the stack.

Type: `string`

Valid Values:

* `do-nothing`
* `rollback-stack`
* `delete-stack`

Required: Yes

### parameters

Parameters to apply to the new CloudFormation stack.

Type: Array of [CloudFormationParameter](/data-types/cloudformationparameter-object.md) objects.

Required: No

### regionNames

Regions to use with the action. One and only one region must be specified.

Type: Array of `string`

Required: Yes

### stackName

Name of the stack to create.

Type: `string`

Required: Yes

### tags

Resource tags to apply to the new CloudFormation stack.

Type: Array of [Tag](/data-types/tag-object.md) objects

Required: No

### templateBody

JSON body to use for the template. Required when `templateFormat` is `json-body`

Type: `string`

Required: Conditional

### templateBucketName

Name of the S3 bucket holding the template file. Required when `templateFormat` is `s3-bucket`.

Type: `string`

Required: Conditional

### templateFormat

Format of the template to use when creating the stack.

Type: `string`

Valid Values:

* `url`
* `json-body`
* `s3-bucket`

Required: Yes

### templateObjectKey

Object key (file name) of the template file in the S3 bucket. Required when `templateFormat` is `s3-bucket`.

Type: `string`

Required: Conditional

### templateUrl

URL pointing to the template to use. Required when `templateFormat` is `url`.

Type: `string`

Required: Conditional

### timeoutInMinutes

Timeout (in minutes) to use when creating the new stack.

Type: `integer`

Required: No

## Sample JSON

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1"
    ],
    
    "stackName": "stack-$(DATE)",
    "templateFormat": "s3-bucket",
    "templateBucketName": "bucket1",
    "templateObjectKey": "template.json",
    
    "parameters": [
        "key": "param1",
        "value": "value1"
    ],
    
    "capabilities": [
        "iam"
    ],
    
    "tags": [
        {
            "key": "Environment",
            "value": "Development"
        }
    ],
    
    "failureBehaviour": "delete-stack",
    
    "deleteTimeInSeconds": 3600
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/createcloudformationstackparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
